Package be.ehealth.businessconnector.consultrnv2.service.impl

# Class ConsultrnPersonServiceImpl

java.lang.Object
be.ehealth.businessconnector.consultrnv2.service.impl.ConsultrnPersonServiceImpl

All Implemented Interfaces:
  `ConsultrnPersonService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class ConsultrnPersonServiceImpl extends Object implements ConsultrnPersonService, ConfigurationModuleBootstrap.ModuleBootstrapHook

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultrnPersonServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `SearchPersonBySsinResponse`
  `searchPersonBySsin(SAMLToken token, SearchPersonBySsinRequest request)`
  `SearchPersonPhoneticallyResponse`
  `searchPersonPhonetically(SAMLToken token, SearchPersonPhoneticallyRequest request)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultrnPersonServiceImpl

    public ConsultrnPersonServiceImpl(SessionValidator sessionValidator, EhealthReplyValidator replyValidator)

- ## Method Details

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

  - ### searchPersonBySsin

    public SearchPersonBySsinResponse searchPersonBySsin(SAMLToken token, SearchPersonBySsinRequest request) throws TechnicalConnectorException
    Specified by:
      `searchPersonBySsin` in interface `ConsultrnPersonService`
    Throws:
      `TechnicalConnectorException`

  - ### searchPersonPhonetically

    public SearchPersonPhoneticallyResponse searchPersonPhonetically(SAMLToken token, SearchPersonPhoneticallyRequest request) throws TechnicalConnectorException
    Specified by:
      `searchPersonPhonetically` in interface `ConsultrnPersonService`
    Throws:
      `TechnicalConnectorException`